--- 

stages: 
- sonarqube
# - push
- test_image_docker

variables:
  SONAR_USER_HOME: "${CI_PROJECT_DIR}/.sonar"  # Defines the location of the analysis task cache
  GIT_DEPTH: "0"  # Tells git to fetch all the branches of the project, required by the analysis task
sonarcloud-check:
  stage: sonarqube
  image:
    name: sonarsource/sonar-scanner-cli:latest
    entrypoint: [""]
  cache:
    key: "${CI_JOB_NAME}"
    paths:
      - .sonar/cache
  script:
    - sonar-scanner
  only:
    - main

# push-main:
#   stage: push
#   image: 
#     name: debian:latest
#   before_script:
#     - apt update
#     - apt install git -y
#     - git clone https://gitlab.com/ramy.devops/pizzadjango.git
#     - cd pizzadjango
#   script: 
#     - jour=$(date +%Y/%m/%d)
#     - heure=$(date +%H:%M)
#     - echo update $jour  $heure > update.txt
#     - git config --global user.email "ramy.devops@gmail.com"
#     - git config --global user.name "ramy.devops"
#     - git remote set-url origin https://ramy.devops:glpat-qP6z9J8DB_FZBUcc3jcH@gitlab.com/ramy.devops/pizzadjango.git
#     - git config pull.rebase false 
#     - git pull origin main --allow-unrelated-histories
#     - git add . 
#     - git commit -m "New Update"
#     - git push origin main
#   only:
#     - dev

tes_image_docker:
  stage: test_image_docker
  # image: 
  #   name: bitnami/trivy:latest
  # script: 
  #   - bash
  #   - trivy image florjuss/portail_lbaas:latest   
  image: 
    name: debian:latest
  before_script:
    - apt update
    # - apt install sudo -y
    # - apt install wget -y
    - apt install curl -y
    # - apt install dpkg -y 
    - apt install jq -y
    - curl -sSfL https://raw.githubusercontent.com/anchore/grype/main/install.sh | sh -s -- -b /usr/local/bin
    # - wget https://github.com/aquasecurity/trivy/releases/download/v0.34.0/trivy_0.34.0_Linux-64bit.deb
    # - sudo dpkg -i trivy_0.34.0_Linux-64bit.deb
  script:
    # - grype florjuss/pizza-django | head
    - grype florjuss/pizza-django -o json | jq '.[]'
    # - trivy repo https://gitlab.com/ramy.devops/portail_lbaas

